Name:          mybatis-generator
Version:       1.3.2
Release:       8%{?dist}
Summary:       A code generator for MyBatis and iBATIS
License:       ASL 2.0
URL:           http://www.mybatis.org/
Source0:       https://github.com/mybatis/generator/archive/%{name}-%{version}.tar.gz

BuildRequires: mvn(log4j:log4j:1.2.17)
BuildRequires: mvn(org.apache.ant:ant)
BuildRequires: mvn(org.apache.ant:ant-launcher)
BuildRequires: mvn(org.apache.maven:maven-plugin-api)
BuildRequires: mvn(org.apache.maven:maven-project)
BuildRequires: mvn(org.mybatis:mybatis)
BuildRequires: mvn(org.mybatis:mybatis-parent:pom:)
# test deps
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.commons:commons-ognl)
BuildRequires: mvn(org.hsqldb:hsqldb)


BuildRequires: maven-local
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-plugin-plugin
BuildRequires: maven-surefire-report-plugin

BuildArch:     noarch

%description
MyBatis Generator (MBG) is a code generator for MyBatis and iBATIS.

%package maven-plugin
Summary:       MyBatis Generator Maven Plugin

%description maven-plugin
MyBatis Generator Maven Plugin.

%package systests-common
Summary:       MyBatis Generator Tests (Common Classes)

%description systests-common
MyBatis Generator Tests (Common Classes).

%package systests-mybatis3
Summary:       MyBatis Generator Tests (MyBatis3)

%description systests-mybatis3
MyBatis Generator Tests (MyBatis3).

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n generator-%{name}-%{version}

%pom_remove_dep :cobertura
%pom_remove_dep :cobertura mybatis-generator-systests-mybatis3
%pom_xpath_remove "pom:dependency[pom:artifactId= '%{name}-core']/pom:classifier" %{name}-systests-mybatis3

%pom_remove_dep :cobertura mybatis-generator-systests-ibatis2-java2
%pom_xpath_remove "pom:dependency[pom:artifactId= '%{name}-core']/pom:classifier" %{name}-systests-ibatis2-java2
%pom_remove_dep :cobertura mybatis-generator-systests-ibatis2-java5
%pom_xpath_remove "pom:dependency[pom:artifactId= '%{name}-core']/pom:classifier" %{name}-systests-ibatis2-java5


# Unavailable deps org.apache.ibatis:ibatis-sqlmap:2.3.4.726
%pom_disable_module %{name}-systests-ibatis2-java2
%pom_disable_module %{name}-systests-ibatis2-java5
%pom_remove_dep :ibatis-sqlmap

# Remove, cause build failure
%pom_remove_plugin :maven-enforcer-plugin

# Unavailable plugin
%pom_remove_plugin :maven-gcu-plugin %{name}-core
%pom_remove_plugin :jdepend-maven-plugin %{name}-core
# Unwanted plugin
%pom_remove_plugin :maven-install-plugin %{name}-core
%pom_remove_plugin :maven-assembly-plugin %{name}-core
%pom_remove_plugin :maven-javadoc-plugin %{name}-core
%pom_remove_plugin :maven-release-plugin %{name}-core
%pom_remove_plugin :maven-site-plugin %{name}-core
%pom_remove_plugin :maven-source-plugin %{name}-core
# Disable cobertura plugin
%pom_remove_plugin :cobertura-maven-plugin %{name}-core
%pom_xpath_remove "pom:plugin[pom:artifactId='maven-jar-plugin']/pom:executions" %{name}-core

# java.lang.NoClassDefFoundError: org/apache/commons/ognl/PropertyAccessor
%pom_add_dep org.apache.commons:commons-ognl::test mybatis-generator-systests-mybatis3


sed -i 's/\r//' LICENSE NOTICE %{name}-core/doc/*

%mvn_package ":%{name}" %{name}
%mvn_package ":%{name}-core" %{name}

%build

%mvn_build -s -- -Dmaven.test.failure.ignore=true

%install
%mvn_install

%files -f .mfiles-%{name}
%doc %{name}-core/doc/*
%license LICENSE NOTICE

%files maven-plugin -f .mfiles-%{name}-maven-plugin
%license LICENSE NOTICE

%files systests-common -f .mfiles-%{name}-systests-common
%license LICENSE NOTICE

%files systests-mybatis3 -f .mfiles-%{name}-systests-mybatis3
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Apr 01 2015 gil cattaneo <puntogil@libero.it> 1.3.2-6
- remove unavailable cobertura and changes plugin

* Tue Feb 10 2015 gil cattaneo <puntogil@libero.it> 1.3.2-5
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.3.2-3
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 18 2013 gil cattaneo <puntogil@libero.it> 1.3.2-1
- initial rpm
